/* parser */
%token <int> INT
%token PLUS TIMES
%token EOL
%left PLUS   /* lower precedence */
%left TIMES  /* higher precedence */

%start main
%type <int> main

%%

main:
	expr EOL					{ $1 }
;

expr:
	  INT						{ $1 }
	| expr PLUS expr			{ $1 + $3 }
	| expr TIMES expr			{ $1 * $3 }
;